package com.mortals.xhx.base.system.gentable.model;

import java.util.List;
/**
 * 代码生成业务查询对象
 *
 * @author zxfei
 * @date 2022-07-04
 */
public class GentableQuery extends GentableEntity {
    /** 开始 ID，主键，自增长 */
    private Long idStart;

    /** 结束 ID，主键，自增长 */
    private Long idEnd;

    /** 增加 ID，主键，自增长 */
    private Long idIncrement;

    /** ID，主键，自增长列表 */
    private List <Long> idList;

    /** 表名称 */
    private List<String> tableNameList;

    /** 表描述 */
    private List<String> tableCommentList;

    /** 关联子表的表名 */
    private List<String> subTableNameList;

    /** 子表关联的外键名 */
    private List<String> subTableFkNameList;

    /** 实体类名称 */
    private List<String> classNameList;

    /** 使用的模板（crud单表操作 tree树表操作） */
    private List<String> tplCategoryList;

    /** 生成包路径 */
    private List<String> packageNameList;

    /** 生成模块名 */
    private List<String> moduleNameList;

    /** 生成业务名 */
    private List<String> businessNameList;

    /** 生成功能名 */
    private List<String> functionNameList;

    /** 生成功能作者 */
    private List<String> functionAuthorList;

    /** 开始 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存） */
    private Integer cacheServiceTypeStart;

    /** 结束 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存） */
    private Integer cacheServiceTypeEnd;

    /** 增加 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存） */
    private Integer cacheServiceTypeIncrement;

    /** 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）列表 */
    private List <Integer> cacheServiceTypeList;

    /** 开始 生成代码方式（0.zip压缩包 1.自定义路径） */
    private Integer genTypeStart;

    /** 结束 生成代码方式（0.zip压缩包 1.自定义路径） */
    private Integer genTypeEnd;

    /** 增加 生成代码方式（0.zip压缩包 1.自定义路径） */
    private Integer genTypeIncrement;

    /** 生成代码方式（0.zip压缩包 1.自定义路径）列表 */
    private List <Integer> genTypeList;

    /** 开始 分表方式（0.无，1.年，2.月，3.日，4.hash取余） */
    private Integer dividedTableTypeStart;

    /** 结束 分表方式（0.无，1.年，2.月，3.日，4.hash取余） */
    private Integer dividedTableTypeEnd;

    /** 增加 分表方式（0.无，1.年，2.月，3.日，4.hash取余） */
    private Integer dividedTableTypeIncrement;

    /** 分表方式（0.无，1.年，2.月，3.日，4.hash取余）列表 */
    private List <Integer> dividedTableTypeList;

    /** 开始 是否生成feign结构(0.否，1.是) */
    private Integer genFeignStart;

    /** 结束 是否生成feign结构(0.否，1.是) */
    private Integer genFeignEnd;

    /** 增加 是否生成feign结构(0.否，1.是) */
    private Integer genFeignIncrement;

    /** 是否生成feign结构(0.否，1.是)列表 */
    private List <Integer> genFeignList;

    /** 生成feign接口，消费应用工程名称如（workflow-platform） */
    private List<String> feignAppNameList;

    /** 开始 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉） */
    private Integer detailShowStart;

    /** 结束 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉） */
    private Integer detailShowEnd;

    /** 增加 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉） */
    private Integer detailShowIncrement;

    /** vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）列表 */
    private List <Integer> detailShowList;

    /** 开始 是否生成对外api结构（0,否，1.是） */
    private Integer genApiStart;

    /** 结束 是否生成对外api结构（0,否，1.是） */
    private Integer genApiEnd;

    /** 增加 是否生成对外api结构（0,否，1.是） */
    private Integer genApiIncrement;

    /** 是否生成对外api结构（0,否，1.是）列表 */
    private List <Integer> genApiList;

    /** 开始 是否生成前端导入导出代码（0,否，1.是 默认0） */
    private Integer isGenExportStart;

    /** 结束 是否生成前端导入导出代码（0,否，1.是 默认0） */
    private Integer isGenExportEnd;

    /** 增加 是否生成前端导入导出代码（0,否，1.是 默认0） */
    private Integer isGenExportIncrement;

    /** 是否生成前端导入导出代码（0,否，1.是 默认0）列表 */
    private List <Integer> isGenExportList;

    /** 开始 是否显示的生成controll mapping(0,否，1.是 默认0) */
    private Integer isShowControlStart;

    /** 结束 是否显示的生成controll mapping(0,否，1.是 默认0) */
    private Integer isShowControlEnd;

    /** 增加 是否显示的生成controll mapping(0,否，1.是 默认0) */
    private Integer isShowControlIncrement;

    /** 是否显示的生成controll mapping(0,否，1.是 默认0)列表 */
    private List <Integer> isShowControlList;

    /** 生成路径（不填默认项目路径） */
    private List<String> genPathList;

    /** 其它生成选项 */
    private List<String> optionsList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 应用id */
    private Long appIdStart;

    /** 结束 应用id */
    private Long appIdEnd;

    /** 增加 应用id */
    private Long appIdIncrement;

    /** 应用id列表 */
    private List <Long> appIdList;

    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<GentableQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<GentableQuery> andConditionList;

    public GentableQuery(){}

    /**
     * 获取 开始 ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 表名称
     * @return tableNameList
     */
    public List<String> getTableNameList(){
        return this.tableNameList;
    }

    /**
     * 设置 表名称
     * @param tableNameList
     */
    public void setTableNameList(List<String> tableNameList){
        this.tableNameList = tableNameList;
    }
    /**
     * 获取 表描述
     * @return tableCommentList
     */
    public List<String> getTableCommentList(){
        return this.tableCommentList;
    }

    /**
     * 设置 表描述
     * @param tableCommentList
     */
    public void setTableCommentList(List<String> tableCommentList){
        this.tableCommentList = tableCommentList;
    }
    /**
     * 获取 关联子表的表名
     * @return subTableNameList
     */
    public List<String> getSubTableNameList(){
        return this.subTableNameList;
    }

    /**
     * 设置 关联子表的表名
     * @param subTableNameList
     */
    public void setSubTableNameList(List<String> subTableNameList){
        this.subTableNameList = subTableNameList;
    }
    /**
     * 获取 子表关联的外键名
     * @return subTableFkNameList
     */
    public List<String> getSubTableFkNameList(){
        return this.subTableFkNameList;
    }

    /**
     * 设置 子表关联的外键名
     * @param subTableFkNameList
     */
    public void setSubTableFkNameList(List<String> subTableFkNameList){
        this.subTableFkNameList = subTableFkNameList;
    }
    /**
     * 获取 实体类名称
     * @return classNameList
     */
    public List<String> getClassNameList(){
        return this.classNameList;
    }

    /**
     * 设置 实体类名称
     * @param classNameList
     */
    public void setClassNameList(List<String> classNameList){
        this.classNameList = classNameList;
    }
    /**
     * 获取 使用的模板（crud单表操作 tree树表操作）
     * @return tplCategoryList
     */
    public List<String> getTplCategoryList(){
        return this.tplCategoryList;
    }

    /**
     * 设置 使用的模板（crud单表操作 tree树表操作）
     * @param tplCategoryList
     */
    public void setTplCategoryList(List<String> tplCategoryList){
        this.tplCategoryList = tplCategoryList;
    }
    /**
     * 获取 生成包路径
     * @return packageNameList
     */
    public List<String> getPackageNameList(){
        return this.packageNameList;
    }

    /**
     * 设置 生成包路径
     * @param packageNameList
     */
    public void setPackageNameList(List<String> packageNameList){
        this.packageNameList = packageNameList;
    }
    /**
     * 获取 生成模块名
     * @return moduleNameList
     */
    public List<String> getModuleNameList(){
        return this.moduleNameList;
    }

    /**
     * 设置 生成模块名
     * @param moduleNameList
     */
    public void setModuleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
    }
    /**
     * 获取 生成业务名
     * @return businessNameList
     */
    public List<String> getBusinessNameList(){
        return this.businessNameList;
    }

    /**
     * 设置 生成业务名
     * @param businessNameList
     */
    public void setBusinessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
    }
    /**
     * 获取 生成功能名
     * @return functionNameList
     */
    public List<String> getFunctionNameList(){
        return this.functionNameList;
    }

    /**
     * 设置 生成功能名
     * @param functionNameList
     */
    public void setFunctionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
    }
    /**
     * 获取 生成功能作者
     * @return functionAuthorList
     */
    public List<String> getFunctionAuthorList(){
        return this.functionAuthorList;
    }

    /**
     * 设置 生成功能作者
     * @param functionAuthorList
     */
    public void setFunctionAuthorList(List<String> functionAuthorList){
        this.functionAuthorList = functionAuthorList;
    }
    /**
     * 获取 开始 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @return cacheServiceTypeStart
     */
    public Integer getCacheServiceTypeStart(){
        return this.cacheServiceTypeStart;
    }

    /**
     * 设置 开始 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeStart
     */
    public void setCacheServiceTypeStart(Integer cacheServiceTypeStart){
        this.cacheServiceTypeStart = cacheServiceTypeStart;
    }

    /**
     * 获取 结束 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @return $cacheServiceTypeEnd
     */
    public Integer getCacheServiceTypeEnd(){
        return this.cacheServiceTypeEnd;
    }

    /**
     * 设置 结束 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeEnd
     */
    public void setCacheServiceTypeEnd(Integer cacheServiceTypeEnd){
        this.cacheServiceTypeEnd = cacheServiceTypeEnd;
    }

    /**
     * 获取 增加 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @return cacheServiceTypeIncrement
     */
    public Integer getCacheServiceTypeIncrement(){
        return this.cacheServiceTypeIncrement;
    }

    /**
     * 设置 增加 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeIncrement
     */
    public void setCacheServiceTypeIncrement(Integer cacheServiceTypeIncrement){
        this.cacheServiceTypeIncrement = cacheServiceTypeIncrement;
    }

    /**
     * 获取 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @return cacheServiceTypeList
     */
    public List<Integer> getCacheServiceTypeList(){
        return this.cacheServiceTypeList;
    }

    /**
     * 设置 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeList
     */
    public void setCacheServiceTypeList(List<Integer> cacheServiceTypeList){
        this.cacheServiceTypeList = cacheServiceTypeList;
    }

    /**
     * 获取 开始 生成代码方式（0.zip压缩包 1.自定义路径）
     * @return genTypeStart
     */
    public Integer getGenTypeStart(){
        return this.genTypeStart;
    }

    /**
     * 设置 开始 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeStart
     */
    public void setGenTypeStart(Integer genTypeStart){
        this.genTypeStart = genTypeStart;
    }

    /**
     * 获取 结束 生成代码方式（0.zip压缩包 1.自定义路径）
     * @return $genTypeEnd
     */
    public Integer getGenTypeEnd(){
        return this.genTypeEnd;
    }

    /**
     * 设置 结束 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeEnd
     */
    public void setGenTypeEnd(Integer genTypeEnd){
        this.genTypeEnd = genTypeEnd;
    }

    /**
     * 获取 增加 生成代码方式（0.zip压缩包 1.自定义路径）
     * @return genTypeIncrement
     */
    public Integer getGenTypeIncrement(){
        return this.genTypeIncrement;
    }

    /**
     * 设置 增加 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeIncrement
     */
    public void setGenTypeIncrement(Integer genTypeIncrement){
        this.genTypeIncrement = genTypeIncrement;
    }

    /**
     * 获取 生成代码方式（0.zip压缩包 1.自定义路径）
     * @return genTypeList
     */
    public List<Integer> getGenTypeList(){
        return this.genTypeList;
    }

    /**
     * 设置 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeList
     */
    public void setGenTypeList(List<Integer> genTypeList){
        this.genTypeList = genTypeList;
    }

    /**
     * 获取 开始 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @return dividedTableTypeStart
     */
    public Integer getDividedTableTypeStart(){
        return this.dividedTableTypeStart;
    }

    /**
     * 设置 开始 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeStart
     */
    public void setDividedTableTypeStart(Integer dividedTableTypeStart){
        this.dividedTableTypeStart = dividedTableTypeStart;
    }

    /**
     * 获取 结束 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @return $dividedTableTypeEnd
     */
    public Integer getDividedTableTypeEnd(){
        return this.dividedTableTypeEnd;
    }

    /**
     * 设置 结束 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeEnd
     */
    public void setDividedTableTypeEnd(Integer dividedTableTypeEnd){
        this.dividedTableTypeEnd = dividedTableTypeEnd;
    }

    /**
     * 获取 增加 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @return dividedTableTypeIncrement
     */
    public Integer getDividedTableTypeIncrement(){
        return this.dividedTableTypeIncrement;
    }

    /**
     * 设置 增加 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeIncrement
     */
    public void setDividedTableTypeIncrement(Integer dividedTableTypeIncrement){
        this.dividedTableTypeIncrement = dividedTableTypeIncrement;
    }

    /**
     * 获取 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @return dividedTableTypeList
     */
    public List<Integer> getDividedTableTypeList(){
        return this.dividedTableTypeList;
    }

    /**
     * 设置 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeList
     */
    public void setDividedTableTypeList(List<Integer> dividedTableTypeList){
        this.dividedTableTypeList = dividedTableTypeList;
    }

    /**
     * 获取 开始 是否生成feign结构(0.否，1.是)
     * @return genFeignStart
     */
    public Integer getGenFeignStart(){
        return this.genFeignStart;
    }

    /**
     * 设置 开始 是否生成feign结构(0.否，1.是)
     * @param genFeignStart
     */
    public void setGenFeignStart(Integer genFeignStart){
        this.genFeignStart = genFeignStart;
    }

    /**
     * 获取 结束 是否生成feign结构(0.否，1.是)
     * @return $genFeignEnd
     */
    public Integer getGenFeignEnd(){
        return this.genFeignEnd;
    }

    /**
     * 设置 结束 是否生成feign结构(0.否，1.是)
     * @param genFeignEnd
     */
    public void setGenFeignEnd(Integer genFeignEnd){
        this.genFeignEnd = genFeignEnd;
    }

    /**
     * 获取 增加 是否生成feign结构(0.否，1.是)
     * @return genFeignIncrement
     */
    public Integer getGenFeignIncrement(){
        return this.genFeignIncrement;
    }

    /**
     * 设置 增加 是否生成feign结构(0.否，1.是)
     * @param genFeignIncrement
     */
    public void setGenFeignIncrement(Integer genFeignIncrement){
        this.genFeignIncrement = genFeignIncrement;
    }

    /**
     * 获取 是否生成feign结构(0.否，1.是)
     * @return genFeignList
     */
    public List<Integer> getGenFeignList(){
        return this.genFeignList;
    }

    /**
     * 设置 是否生成feign结构(0.否，1.是)
     * @param genFeignList
     */
    public void setGenFeignList(List<Integer> genFeignList){
        this.genFeignList = genFeignList;
    }

    /**
     * 获取 生成feign接口，消费应用工程名称如（workflow-platform）
     * @return feignAppNameList
     */
    public List<String> getFeignAppNameList(){
        return this.feignAppNameList;
    }

    /**
     * 设置 生成feign接口，消费应用工程名称如（workflow-platform）
     * @param feignAppNameList
     */
    public void setFeignAppNameList(List<String> feignAppNameList){
        this.feignAppNameList = feignAppNameList;
    }
    /**
     * 获取 开始 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @return detailShowStart
     */
    public Integer getDetailShowStart(){
        return this.detailShowStart;
    }

    /**
     * 设置 开始 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowStart
     */
    public void setDetailShowStart(Integer detailShowStart){
        this.detailShowStart = detailShowStart;
    }

    /**
     * 获取 结束 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @return $detailShowEnd
     */
    public Integer getDetailShowEnd(){
        return this.detailShowEnd;
    }

    /**
     * 设置 结束 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowEnd
     */
    public void setDetailShowEnd(Integer detailShowEnd){
        this.detailShowEnd = detailShowEnd;
    }

    /**
     * 获取 增加 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @return detailShowIncrement
     */
    public Integer getDetailShowIncrement(){
        return this.detailShowIncrement;
    }

    /**
     * 设置 增加 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowIncrement
     */
    public void setDetailShowIncrement(Integer detailShowIncrement){
        this.detailShowIncrement = detailShowIncrement;
    }

    /**
     * 获取 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @return detailShowList
     */
    public List<Integer> getDetailShowList(){
        return this.detailShowList;
    }

    /**
     * 设置 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowList
     */
    public void setDetailShowList(List<Integer> detailShowList){
        this.detailShowList = detailShowList;
    }

    /**
     * 获取 开始 是否生成对外api结构（0,否，1.是）
     * @return genApiStart
     */
    public Integer getGenApiStart(){
        return this.genApiStart;
    }

    /**
     * 设置 开始 是否生成对外api结构（0,否，1.是）
     * @param genApiStart
     */
    public void setGenApiStart(Integer genApiStart){
        this.genApiStart = genApiStart;
    }

    /**
     * 获取 结束 是否生成对外api结构（0,否，1.是）
     * @return $genApiEnd
     */
    public Integer getGenApiEnd(){
        return this.genApiEnd;
    }

    /**
     * 设置 结束 是否生成对外api结构（0,否，1.是）
     * @param genApiEnd
     */
    public void setGenApiEnd(Integer genApiEnd){
        this.genApiEnd = genApiEnd;
    }

    /**
     * 获取 增加 是否生成对外api结构（0,否，1.是）
     * @return genApiIncrement
     */
    public Integer getGenApiIncrement(){
        return this.genApiIncrement;
    }

    /**
     * 设置 增加 是否生成对外api结构（0,否，1.是）
     * @param genApiIncrement
     */
    public void setGenApiIncrement(Integer genApiIncrement){
        this.genApiIncrement = genApiIncrement;
    }

    /**
     * 获取 是否生成对外api结构（0,否，1.是）
     * @return genApiList
     */
    public List<Integer> getGenApiList(){
        return this.genApiList;
    }

    /**
     * 设置 是否生成对外api结构（0,否，1.是）
     * @param genApiList
     */
    public void setGenApiList(List<Integer> genApiList){
        this.genApiList = genApiList;
    }

    /**
     * 获取 开始 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @return isGenExportStart
     */
    public Integer getIsGenExportStart(){
        return this.isGenExportStart;
    }

    /**
     * 设置 开始 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportStart
     */
    public void setIsGenExportStart(Integer isGenExportStart){
        this.isGenExportStart = isGenExportStart;
    }

    /**
     * 获取 结束 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @return $isGenExportEnd
     */
    public Integer getIsGenExportEnd(){
        return this.isGenExportEnd;
    }

    /**
     * 设置 结束 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportEnd
     */
    public void setIsGenExportEnd(Integer isGenExportEnd){
        this.isGenExportEnd = isGenExportEnd;
    }

    /**
     * 获取 增加 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @return isGenExportIncrement
     */
    public Integer getIsGenExportIncrement(){
        return this.isGenExportIncrement;
    }

    /**
     * 设置 增加 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportIncrement
     */
    public void setIsGenExportIncrement(Integer isGenExportIncrement){
        this.isGenExportIncrement = isGenExportIncrement;
    }

    /**
     * 获取 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @return isGenExportList
     */
    public List<Integer> getIsGenExportList(){
        return this.isGenExportList;
    }

    /**
     * 设置 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportList
     */
    public void setIsGenExportList(List<Integer> isGenExportList){
        this.isGenExportList = isGenExportList;
    }

    /**
     * 获取 开始 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @return isShowControlStart
     */
    public Integer getIsShowControlStart(){
        return this.isShowControlStart;
    }

    /**
     * 设置 开始 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlStart
     */
    public void setIsShowControlStart(Integer isShowControlStart){
        this.isShowControlStart = isShowControlStart;
    }

    /**
     * 获取 结束 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @return $isShowControlEnd
     */
    public Integer getIsShowControlEnd(){
        return this.isShowControlEnd;
    }

    /**
     * 设置 结束 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlEnd
     */
    public void setIsShowControlEnd(Integer isShowControlEnd){
        this.isShowControlEnd = isShowControlEnd;
    }

    /**
     * 获取 增加 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @return isShowControlIncrement
     */
    public Integer getIsShowControlIncrement(){
        return this.isShowControlIncrement;
    }

    /**
     * 设置 增加 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlIncrement
     */
    public void setIsShowControlIncrement(Integer isShowControlIncrement){
        this.isShowControlIncrement = isShowControlIncrement;
    }

    /**
     * 获取 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @return isShowControlList
     */
    public List<Integer> getIsShowControlList(){
        return this.isShowControlList;
    }

    /**
     * 设置 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlList
     */
    public void setIsShowControlList(List<Integer> isShowControlList){
        this.isShowControlList = isShowControlList;
    }

    /**
     * 获取 生成路径（不填默认项目路径）
     * @return genPathList
     */
    public List<String> getGenPathList(){
        return this.genPathList;
    }

    /**
     * 设置 生成路径（不填默认项目路径）
     * @param genPathList
     */
    public void setGenPathList(List<String> genPathList){
        this.genPathList = genPathList;
    }
    /**
     * 获取 其它生成选项
     * @return optionsList
     */
    public List<String> getOptionsList(){
        return this.optionsList;
    }

    /**
     * 设置 其它生成选项
     * @param optionsList
     */
    public void setOptionsList(List<String> optionsList){
        this.optionsList = optionsList;
    }
    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
     * 获取 开始 应用id
     * @return appIdStart
     */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
     * 设置 开始 应用id
     * @param appIdStart
     */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
     * 获取 结束 应用id
     * @return $appIdEnd
     */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
     * 设置 结束 应用id
     * @param appIdEnd
     */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
     * 获取 增加 应用id
     * @return appIdIncrement
     */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
     * 设置 增加 应用id
     * @param appIdIncrement
     */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
     * 获取 应用id
     * @return appIdList
     */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
     * 设置 应用id
     * @param appIdList
     */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
     * 获取 开始 变更时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 变更时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 变更时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 变更时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 变更用户loginName
     * @return updateUserList
     */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
     * 设置 变更用户loginName
     * @param updateUserList
     */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 创建用户loginName
     * @return createUserList
     */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
     * 设置 创建用户loginName
     * @param createUserList
     */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
     * 设置  ID，主键，自增长
     * @param id
     */
    public GentableQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 ID，主键，自增长
     * @param idStart
     */
    public GentableQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 ID，主键，自增长
     * @param idEnd
     */
    public GentableQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 ID，主键，自增长
     * @param idIncrement
     */
    public GentableQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 ID，主键，自增长
     * @param idList
     */
    public GentableQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 表名称
     * @param tableName
     */
    public GentableQuery tableName(String tableName){
        setTableName(tableName);
        return this;
    }

    /**
     * 设置 表名称
     * @param tableNameList
     */
    public GentableQuery tableNameList(List<String> tableNameList){
        this.tableNameList = tableNameList;
        return this;
    }


    /**
     * 设置 表描述
     * @param tableComment
     */
    public GentableQuery tableComment(String tableComment){
        setTableComment(tableComment);
        return this;
    }

    /**
     * 设置 表描述
     * @param tableCommentList
     */
    public GentableQuery tableCommentList(List<String> tableCommentList){
        this.tableCommentList = tableCommentList;
        return this;
    }


    /**
     * 设置 关联子表的表名
     * @param subTableName
     */
    public GentableQuery subTableName(String subTableName){
        setSubTableName(subTableName);
        return this;
    }

    /**
     * 设置 关联子表的表名
     * @param subTableNameList
     */
    public GentableQuery subTableNameList(List<String> subTableNameList){
        this.subTableNameList = subTableNameList;
        return this;
    }


    /**
     * 设置 子表关联的外键名
     * @param subTableFkName
     */
    public GentableQuery subTableFkName(String subTableFkName){
        setSubTableFkName(subTableFkName);
        return this;
    }

    /**
     * 设置 子表关联的外键名
     * @param subTableFkNameList
     */
    public GentableQuery subTableFkNameList(List<String> subTableFkNameList){
        this.subTableFkNameList = subTableFkNameList;
        return this;
    }


    /**
     * 设置 实体类名称
     * @param className
     */
    public GentableQuery className(String className){
        setClassName(className);
        return this;
    }

    /**
     * 设置 实体类名称
     * @param classNameList
     */
    public GentableQuery classNameList(List<String> classNameList){
        this.classNameList = classNameList;
        return this;
    }


    /**
     * 设置 使用的模板（crud单表操作 tree树表操作）
     * @param tplCategory
     */
    public GentableQuery tplCategory(String tplCategory){
        setTplCategory(tplCategory);
        return this;
    }

    /**
     * 设置 使用的模板（crud单表操作 tree树表操作）
     * @param tplCategoryList
     */
    public GentableQuery tplCategoryList(List<String> tplCategoryList){
        this.tplCategoryList = tplCategoryList;
        return this;
    }


    /**
     * 设置 生成包路径
     * @param packageName
     */
    public GentableQuery packageName(String packageName){
        setPackageName(packageName);
        return this;
    }

    /**
     * 设置 生成包路径
     * @param packageNameList
     */
    public GentableQuery packageNameList(List<String> packageNameList){
        this.packageNameList = packageNameList;
        return this;
    }


    /**
     * 设置 生成模块名
     * @param moduleName
     */
    public GentableQuery moduleName(String moduleName){
        setModuleName(moduleName);
        return this;
    }

    /**
     * 设置 生成模块名
     * @param moduleNameList
     */
    public GentableQuery moduleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
        return this;
    }


    /**
     * 设置 生成业务名
     * @param businessName
     */
    public GentableQuery businessName(String businessName){
        setBusinessName(businessName);
        return this;
    }

    /**
     * 设置 生成业务名
     * @param businessNameList
     */
    public GentableQuery businessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
        return this;
    }


    /**
     * 设置 生成功能名
     * @param functionName
     */
    public GentableQuery functionName(String functionName){
        setFunctionName(functionName);
        return this;
    }

    /**
     * 设置 生成功能名
     * @param functionNameList
     */
    public GentableQuery functionNameList(List<String> functionNameList){
        this.functionNameList = functionNameList;
        return this;
    }


    /**
     * 设置 生成功能作者
     * @param functionAuthor
     */
    public GentableQuery functionAuthor(String functionAuthor){
        setFunctionAuthor(functionAuthor);
        return this;
    }

    /**
     * 设置 生成功能作者
     * @param functionAuthorList
     */
    public GentableQuery functionAuthorList(List<String> functionAuthorList){
        this.functionAuthorList = functionAuthorList;
        return this;
    }

    /**
     * 设置  缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceType
     */
    public GentableQuery cacheServiceType(Integer cacheServiceType){
        setCacheServiceType(cacheServiceType);
        return this;
    }

    /**
     * 设置 开始 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeStart
     */
    public GentableQuery cacheServiceTypeStart(Integer cacheServiceTypeStart){
        this.cacheServiceTypeStart = cacheServiceTypeStart;
        return this;
    }

    /**
     * 设置 结束 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeEnd
     */
    public GentableQuery cacheServiceTypeEnd(Integer cacheServiceTypeEnd){
        this.cacheServiceTypeEnd = cacheServiceTypeEnd;
        return this;
    }

    /**
     * 设置 增加 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeIncrement
     */
    public GentableQuery cacheServiceTypeIncrement(Integer cacheServiceTypeIncrement){
        this.cacheServiceTypeIncrement = cacheServiceTypeIncrement;
        return this;
    }

    /**
     * 设置 缓存服务方式（0,无，1.静态实体缓存，2.动态实体缓存）
     * @param cacheServiceTypeList
     */
    public GentableQuery cacheServiceTypeList(List<Integer> cacheServiceTypeList){
        this.cacheServiceTypeList = cacheServiceTypeList;
        return this;
    }

    /**
     * 设置  生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genType
     */
    public GentableQuery genType(Integer genType){
        setGenType(genType);
        return this;
    }

    /**
     * 设置 开始 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeStart
     */
    public GentableQuery genTypeStart(Integer genTypeStart){
        this.genTypeStart = genTypeStart;
        return this;
    }

    /**
     * 设置 结束 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeEnd
     */
    public GentableQuery genTypeEnd(Integer genTypeEnd){
        this.genTypeEnd = genTypeEnd;
        return this;
    }

    /**
     * 设置 增加 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeIncrement
     */
    public GentableQuery genTypeIncrement(Integer genTypeIncrement){
        this.genTypeIncrement = genTypeIncrement;
        return this;
    }

    /**
     * 设置 生成代码方式（0.zip压缩包 1.自定义路径）
     * @param genTypeList
     */
    public GentableQuery genTypeList(List<Integer> genTypeList){
        this.genTypeList = genTypeList;
        return this;
    }

    /**
     * 设置  分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableType
     */
    public GentableQuery dividedTableType(Integer dividedTableType){
        setDividedTableType(dividedTableType);
        return this;
    }

    /**
     * 设置 开始 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeStart
     */
    public GentableQuery dividedTableTypeStart(Integer dividedTableTypeStart){
        this.dividedTableTypeStart = dividedTableTypeStart;
        return this;
    }

    /**
     * 设置 结束 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeEnd
     */
    public GentableQuery dividedTableTypeEnd(Integer dividedTableTypeEnd){
        this.dividedTableTypeEnd = dividedTableTypeEnd;
        return this;
    }

    /**
     * 设置 增加 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeIncrement
     */
    public GentableQuery dividedTableTypeIncrement(Integer dividedTableTypeIncrement){
        this.dividedTableTypeIncrement = dividedTableTypeIncrement;
        return this;
    }

    /**
     * 设置 分表方式（0.无，1.年，2.月，3.日，4.hash取余）
     * @param dividedTableTypeList
     */
    public GentableQuery dividedTableTypeList(List<Integer> dividedTableTypeList){
        this.dividedTableTypeList = dividedTableTypeList;
        return this;
    }

    /**
     * 设置  是否生成feign结构(0.否，1.是)
     * @param genFeign
     */
    public GentableQuery genFeign(Integer genFeign){
        setGenFeign(genFeign);
        return this;
    }

    /**
     * 设置 开始 是否生成feign结构(0.否，1.是)
     * @param genFeignStart
     */
    public GentableQuery genFeignStart(Integer genFeignStart){
        this.genFeignStart = genFeignStart;
        return this;
    }

    /**
     * 设置 结束 是否生成feign结构(0.否，1.是)
     * @param genFeignEnd
     */
    public GentableQuery genFeignEnd(Integer genFeignEnd){
        this.genFeignEnd = genFeignEnd;
        return this;
    }

    /**
     * 设置 增加 是否生成feign结构(0.否，1.是)
     * @param genFeignIncrement
     */
    public GentableQuery genFeignIncrement(Integer genFeignIncrement){
        this.genFeignIncrement = genFeignIncrement;
        return this;
    }

    /**
     * 设置 是否生成feign结构(0.否，1.是)
     * @param genFeignList
     */
    public GentableQuery genFeignList(List<Integer> genFeignList){
        this.genFeignList = genFeignList;
        return this;
    }


    /**
     * 设置 生成feign接口，消费应用工程名称如（workflow-platform）
     * @param feignAppName
     */
    public GentableQuery feignAppName(String feignAppName){
        setFeignAppName(feignAppName);
        return this;
    }

    /**
     * 设置 生成feign接口，消费应用工程名称如（workflow-platform）
     * @param feignAppNameList
     */
    public GentableQuery feignAppNameList(List<String> feignAppNameList){
        this.feignAppNameList = feignAppNameList;
        return this;
    }

    /**
     * 设置  vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShow
     */
    public GentableQuery detailShow(Integer detailShow){
        setDetailShow(detailShow);
        return this;
    }

    /**
     * 设置 开始 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowStart
     */
    public GentableQuery detailShowStart(Integer detailShowStart){
        this.detailShowStart = detailShowStart;
        return this;
    }

    /**
     * 设置 结束 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowEnd
     */
    public GentableQuery detailShowEnd(Integer detailShowEnd){
        this.detailShowEnd = detailShowEnd;
        return this;
    }

    /**
     * 设置 增加 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowIncrement
     */
    public GentableQuery detailShowIncrement(Integer detailShowIncrement){
        this.detailShowIncrement = detailShowIncrement;
        return this;
    }

    /**
     * 设置 vue生成详细页面方式（0,独立页面,1.弹出窗,2.抽屉）
     * @param detailShowList
     */
    public GentableQuery detailShowList(List<Integer> detailShowList){
        this.detailShowList = detailShowList;
        return this;
    }

    /**
     * 设置  是否生成对外api结构（0,否，1.是）
     * @param genApi
     */
    public GentableQuery genApi(Integer genApi){
        setGenApi(genApi);
        return this;
    }

    /**
     * 设置 开始 是否生成对外api结构（0,否，1.是）
     * @param genApiStart
     */
    public GentableQuery genApiStart(Integer genApiStart){
        this.genApiStart = genApiStart;
        return this;
    }

    /**
     * 设置 结束 是否生成对外api结构（0,否，1.是）
     * @param genApiEnd
     */
    public GentableQuery genApiEnd(Integer genApiEnd){
        this.genApiEnd = genApiEnd;
        return this;
    }

    /**
     * 设置 增加 是否生成对外api结构（0,否，1.是）
     * @param genApiIncrement
     */
    public GentableQuery genApiIncrement(Integer genApiIncrement){
        this.genApiIncrement = genApiIncrement;
        return this;
    }

    /**
     * 设置 是否生成对外api结构（0,否，1.是）
     * @param genApiList
     */
    public GentableQuery genApiList(List<Integer> genApiList){
        this.genApiList = genApiList;
        return this;
    }

    /**
     * 设置  是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExport
     */
    public GentableQuery isGenExport(Integer isGenExport){
        setIsGenExport(isGenExport);
        return this;
    }

    /**
     * 设置 开始 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportStart
     */
    public GentableQuery isGenExportStart(Integer isGenExportStart){
        this.isGenExportStart = isGenExportStart;
        return this;
    }

    /**
     * 设置 结束 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportEnd
     */
    public GentableQuery isGenExportEnd(Integer isGenExportEnd){
        this.isGenExportEnd = isGenExportEnd;
        return this;
    }

    /**
     * 设置 增加 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportIncrement
     */
    public GentableQuery isGenExportIncrement(Integer isGenExportIncrement){
        this.isGenExportIncrement = isGenExportIncrement;
        return this;
    }

    /**
     * 设置 是否生成前端导入导出代码（0,否，1.是 默认0）
     * @param isGenExportList
     */
    public GentableQuery isGenExportList(List<Integer> isGenExportList){
        this.isGenExportList = isGenExportList;
        return this;
    }

    /**
     * 设置  是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControl
     */
    public GentableQuery isShowControl(Integer isShowControl){
        setIsShowControl(isShowControl);
        return this;
    }

    /**
     * 设置 开始 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlStart
     */
    public GentableQuery isShowControlStart(Integer isShowControlStart){
        this.isShowControlStart = isShowControlStart;
        return this;
    }

    /**
     * 设置 结束 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlEnd
     */
    public GentableQuery isShowControlEnd(Integer isShowControlEnd){
        this.isShowControlEnd = isShowControlEnd;
        return this;
    }

    /**
     * 设置 增加 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlIncrement
     */
    public GentableQuery isShowControlIncrement(Integer isShowControlIncrement){
        this.isShowControlIncrement = isShowControlIncrement;
        return this;
    }

    /**
     * 设置 是否显示的生成controll mapping(0,否，1.是 默认0)
     * @param isShowControlList
     */
    public GentableQuery isShowControlList(List<Integer> isShowControlList){
        this.isShowControlList = isShowControlList;
        return this;
    }


    /**
     * 设置 生成路径（不填默认项目路径）
     * @param genPath
     */
    public GentableQuery genPath(String genPath){
        setGenPath(genPath);
        return this;
    }

    /**
     * 设置 生成路径（不填默认项目路径）
     * @param genPathList
     */
    public GentableQuery genPathList(List<String> genPathList){
        this.genPathList = genPathList;
        return this;
    }


    /**
     * 设置 其它生成选项
     * @param options
     */
    public GentableQuery options(String options){
        setOptions(options);
        return this;
    }

    /**
     * 设置 其它生成选项
     * @param optionsList
     */
    public GentableQuery optionsList(List<String> optionsList){
        this.optionsList = optionsList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public GentableQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public GentableQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  应用id
     * @param appId
     */
    public GentableQuery appId(Long appId){
        setAppId(appId);
        return this;
    }

    /**
     * 设置 开始 应用id
     * @param appIdStart
     */
    public GentableQuery appIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
        return this;
    }

    /**
     * 设置 结束 应用id
     * @param appIdEnd
     */
    public GentableQuery appIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
        return this;
    }

    /**
     * 设置 增加 应用id
     * @param appIdIncrement
     */
    public GentableQuery appIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
        return this;
    }

    /**
     * 设置 应用id
     * @param appIdList
     */
    public GentableQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
        return this;
    }



    /**
     * 设置 变更用户loginName
     * @param updateUser
     */
    public GentableQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
        return this;
    }

    /**
     * 设置 变更用户loginName
     * @param updateUserList
     */
    public GentableQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
        return this;
    }



    /**
     * 设置 创建用户loginName
     * @param createUser
     */
    public GentableQuery createUser(String createUser){
        setCreateUser(createUser);
        return this;
    }

    /**
     * 设置 创建用户loginName
     * @param createUserList
     */
    public GentableQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<GentableQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<GentableQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<GentableQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<GentableQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}